import React from 'react';
import Icon, { IconProps } from '../index';

const Svg = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    xmlns='http://www.w3.org/2000/svg'
    width='24'
    height='24'
    viewBox='0 0 24 24'
    fill='none'
    stroke='currentColor'
    strokeWidth='2'
    strokeLinecap='round'
    strokeLinejoin='round'
    className='aunt-icon aunt-icon-shield-off'
    {...props}
  >
    <path d='M19.69 14a6.9 6.9 0 0 0 .31-2V5l-8-3-3.16 1.18' />
    <path d='M4.73 4.73L4 5v7c0 6 8 10 8 10a20.29 20.29 0 0 0 5.62-4.38' />
    <line x1='1' y1='1' x2='23' y2='23' />
  </svg>
);

const ShieldOff = React.forwardRef<SVGSVGElement, Omit<IconProps, 'name'>>((props, ref) => {
  return (
    <Icon name='ShieldOff' {...props} ref={ref}>
      <Svg />
    </Icon>
  );
});

ShieldOff.displayName = 'ShieldOff';

export default ShieldOff;
